body {
  margin: 0;
  background-image: url("img/11_bg/bg.jpg");
  background-position: left center;
  height: 100vh;
  background-repeat: no-repeat;
  background-size: cover;
  backdrop-filter: brightness(0.5);
  position: relative;
}

.spinner {
  width: 100px;
  height: 100px;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.hide {
  display: none !important;
}

/*Loader*/
.loader-container {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  z-index: 2;
  width: 100%;
  align-items: center;
  background: #303030;
  justify-content: center;
  height: -webkit-fill-available;
}

.loader {
  border-radius: 50%;
  width: 50px;
  height: 50px;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.btn-mobile-wrapper {
  display: none;
  width: 100%;
  flex-direction: column;
}

.btn-mobile-flex {
  padding: 0 20px 0 20px;
  display: flex;
  justify-content: space-between;
}
.btn-mobile-wrapper {
  bottom: 40px;
  position: absolute;
}

.btn-mobile {
  background: orange;
  box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.2);
  border-radius: 50%;
  border: solid;
  padding: 10px;
  margin-bottom: 10px;
  width: 30px;
  height: auto;
}

.btn-mobile img {
  width: 16px;
  height: 16px;
}

.overlayMobile {
  width: 100vw;
  height: 100vh;
  position: absolute;
  display: flex;
  z-index: 150;
  background-color: #cacaca;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.turnScreenBox {
  font-family: "Rye";
  font-size: 30px;
}
.turnScreenBox img {
  width: 250px;
  height: auto;
}
.background {
  overflow: hidden;
}

h3 {
  font-family: "Rye";
  line-height: 0;
}
.game-container {
  position: relative;
  margin: auto;
  max-width: 720px;
  height: 480px;
}

.col-1 {
  width: 50%;
}
.flex-container {
  display: flex;
  justify-content: center;
  position: absolute;
  top: 0;
  max-width: 720px;
  width: -webkit-fill-available;
}
.startscreen-div {
  max-width: 720px;
  height: 480px;
  top: 0;
  z-index: 8;
  background: #00000087;
  border-radius: 10px;
}

h2 {
  position: absolute;
  z-index: 6;
  color: orange;
  font-size: 115px;
  font-family: "Rye";
  margin-top: 180px;
}

.popup-content-first {
  position: absolute;
  z-index: 80;
  background: #cacaca;
  font-family: "Inter", sans-serif;
  font-size: 18px;
  width: 24%;
  transform: translateX(-6%);
  right: 0px;
  border-radius: 5px 11px 0 0;
  padding: 30px;
  line-height: 1.5;
  width: 80%;
  bottom: -211px;
  opacity: 0;
  transition: opacity 0.9s ease, bottom 0.5s ease;
}

.popup-content-second {
  position: absolute;
  z-index: 100;
  background: #cacaca;
  font-family: "Inter", sans-serif;
  font-size: 18px;
  width: 24%;
  transform: translateX(-7%);
  right: 0px;
  border-radius: 5px 11px 0 0;
  padding: 16px 30px;
  line-height: 1.5;
  width: 80%;
  opacity: 0;
  transition: opacity 0.9s ease, bottom 0.5s ease;
}

.popupHideWrapperFirst {
  opacity: 1 !important;
  bottom: 210px !important;
}

.popupHideWrapperSecond {
  opacity: 1 !important;
  bottom: 193px !important;
}

.popupHideInnerContentFirst {
  opacity: 1 !important;
}
.popupHideInnerContentSecond {
  opacity: 1 !important;
}

.btn-flex {
  display: flex;
  gap: 12px;
  margin: 10px 20px;
}

.btn-container {
  display: flex;
  justify-content: end;
  position: absolute;
  z-index: 20;
  width: 100%;
}

.btn {
  cursor: pointer;
  background: orange;
  border-radius: 5px;
  width: 45px;
  align-items: center;
  text-align: center;
  box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.2);
}

.btn:hover {
  background: rgb(255, 111, 0);
  transform: scale(1.04);
  box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.3);
  transform: scale(1.04);
}

.btn-container-restart {
  display: flex;
  justify-content: space-around;
  max-width: 720px;
}

.btn img {
  width: 40px;
  height: auto;
  filter: opacity(0.6);
}

.btn img:hover {
  filter: opacity(1);
}
.startscreen-wrapper-img {
  position: relative;
  width: 100%;
  max-width: 720px;
  height: 480px;
  overflow: hidden; 
  border-radius: 10px;
}

.startscreen-img img {      
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%); 
  width: 100%;
  height: 100%;
  object-fit: inherit;
}
.btn-container-restart img {
  position: absolute;
  width: 720px;
  height: 480px;
}
.d-none {
  display: none;
}

.close-div {
  position: relative;
}

.imprint-div {
  background: #cacaca;
  font-family: "Inter", sans-serif;
  width: 70%;
  margin: auto;
  border-radius: 10px;
  padding: 50px;
}

img.btn-close {
  height: auto;
  position: absolute;
  top: -19px;
  left: 55%;
  transform: translate(-50%, -50%);
  background: #cacaca;
  width: 40px;
  z-index: 99;
  cursor: pointer;
  border-radius: 10px 10px 0px 0px;
}

img.btn-close-second {
  height: auto;
  position: absolute;
  top: -19px;
  left: 45%;
  transform: translate(-50%, -50%);
  background: #cacaca;
  width: 40px;
  z-index: 79;
  cursor: pointer;
  border-radius: 10px 10px 0px 0px;
}

img.btn-close-active {
  background-color: orange;
}

.popup-intro-text {
  opacity: 1 !important;
  bottom: 0px;
  position: absolute;
  width: 100%;
  transition: opacity 0.9s ease, bottom 0.5s ease;
}

button {
  width: 220px;
  height: 60px;
  z-index: 1;
  border: none;
  border-radius: 5px;
  background: orange;
  font-size: 25px;
  font-family: "Rye";
  margin-top: 52px;
  cursor: pointer;
  transition: background 0.3s ease-in-out, transform 0.3s ease-in-out;
  box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.2);
}

button:hover {
  background: rgb(255, 111, 0);
  transform: scale(1.04);
  box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.3);
}

@font-face {
  font-family: "Inter", sans-serif;
  src: url(./fonts/Inter-Medium.ttf);
}

@font-face {
  font-family: "Rye";
  src: url("./fonts/Rye-Regular.ttf") format("truetype"); /* Chrome 4+, Firefox 3.5, Opera 10+, Safari 3—5 */
}

h1 {
  color: #f2f2f2;
  font-size: 50px;
  text-align: center;
  font-family: "Rye", sans-serif;
  padding: 60px 0;
  margin: 0;
}

.instruction-popup {
  width: 100%;
  display: flex;
  gap: 50px;
}

.instruction-popup-item {
  display: flex;
  justify-content: space-between;
  margin-top: 20px;
  gap: 10px;
  align-items: center;
}

.instruction-popup img {
  height: 40px;
  width: auto;
  position: relative;
  top: 18px
}

canvas {
  background-color: black;
  border-radius: 10px;
  display: block;
  width: 100%;
  position: absolute;
  top: 0;
  z-index: -1;
}

.btn-mobile-wrapper.d-none {
display: none;
}

@media (max-width: 1024px) and (orientation: landscape) {
  .overlayMobile {
    display: none;
  }
  h1 {
    display: none;
  }
  .btn-mobile-wrapper {
    display: flex;
  }
}

@media (max-width: 720px) {
  h1 {
    display: none;
  }
  /* .btn-mobile-wrapper { */
    /* display: flex; */
  /* } */
}

@media (min-width: 800px) {
  .overlayMobile {
    display: none;
  }

}

@media only screen and (max-height: 600px) {
  .flex-container,
  canvas {
    width: 100%;
  }
}

@media only screen and (max-height: 480px) {
  .game-container,
  .flex-container,
  canvas {
    max-width: 720px;
    max-height: -webkit-fill-available;
  }
  .game-container {
    overflow: hidden;
  }
}
